%define momorel 17

Summary: A password-checking library.
Name: cracklib
Version: 2.7
Release: %{momorel}m
Group: System Environment/Libraries
URL: http://www.crypticide.org/users/alecm/
Source: http://www.crypticide.com/users/alecm/security/%{name},%{version}.tar.gz
Source1: crack.h
Source10: ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/computer/Domains.gz
Source11: ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/computer/Dosref.gz
Source12: ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/computer/Ftpsites.gz
Source13: ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/computer/Jargon.gz
Source14: ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/computer/common-passwords.txt.gz
Source15: ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/computer/etc-hosts.gz
Source16: ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/movieTV/Movies.gz
Source17: ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/movieTV/Python.gz
Source18: ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/movieTV/Trek.gz
Source19: ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/literature/LCarrol.gz
Source20: ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/literature/Paradise.Lost.gz
Source21: ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/literature/cartoon.gz
Source22: ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/literature/myths-legends.gz
Source23: ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/literature/sf.gz
Source24: ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/literature/shakespeare.gz
Source25: ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/names/ASSurnames.gz
Source26: ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/names/Congress.gz
Source27: ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/names/Family-Names.gz
Source28: ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/names/Given-Names.gz
Source29: ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/names/famous.gz
Source30: ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/names/fast-names.gz
Source31: ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/names/female-names.gz
Source32: ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/names/male-names.gz
Source33: ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/names/names.french.gz
Source34: ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/names/names.hp.gz
Source35: ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/names/other-names.gz
Source36: ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/names/surnames.finnish.gz
License: Artistic
Patch0: cracklib-2.7-rh.patch 
Patch1: cracklib,2.7-make_static_lib.patch
Patch2: cracklib-2.7-Makefile-packer.patch
Patch3: cracklib-2.7-nss.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: words >= 2-16k
NoSource: 0
NoSource: 10
NoSource: 11
NoSource: 12
NoSource: 13
NoSource: 14
NoSource: 15
NoSource: 16
NoSource: 17 
NoSource: 18
NoSource: 19
NoSource: 20
NoSource: 21
NoSource: 22
NoSource: 23
NoSource: 24
NoSource: 25
NoSource: 26
NoSource: 27
NoSource: 28
NoSource: 29
NoSource: 30
NoSource: 31
NoSource: 32
NoSource: 33
NoSource: 34
NoSource: 35
NoSource: 36

%description
CrackLib tests passwords to determine whether they match certain
security-oriented characteristics, with the purpose of stopping users
from choosing passwords that are easy to guess. CrackLib performs
several tests on passwords: it tries to generate words from a username
and gecos entry and checks those words against the password; it checks
for simplistic patterns in passwords; and it checks for the password
in a dictionary.

CrackLib is actually a library containing a particularC function
which is used to check the password, as well as other C
functions. CrackLib is not a replacement for a passwdprogram; it must
be used in conjunction with an existing passwd program.

Install the cracklib package if you need a program to check users'
passwords to see if they are at least minimally secure. If you install
CrackLib, you'll also want to install the cracklib-dicts package.

%package devel
Summary: The standard CrackLib development
Group: System Environment/Libraries
Requires: %{name} = %{version}

%description devel
devel package

%package dicts
Summary: The standard CrackLib dictionaries.
Group: System Environment/Libraries
Requires: %{name} = %{version}
Requires: words

%description dicts
The cracklib-dicts package includes the CrackLib dictionaries.
CrackLib will need to use the dictionary appropriate to your system,
which is normally put in /usr/dict/words.  Cracklib-dicts also contains
the utilities necessary for the creation of new dictionaries.

If you are installing CrackLib, you should also install cracklib-dicts.

%prep
%setup -n %{name},%{version}
%patch -p1 -b .rh
%patch1 -p1 -b .makestatic
%patch2 -p1 -b .packer
%patch3 -p1 -b .nss
%{__cp} %{SOURCE1} cracklib/crack.h
mkdir cracklib-dicts
for dict in %{SOURCE10} %{SOURCE11} %{SOURCE12} %{SOURCE13} %{SOURCE14} \
            %{SOURCE15} %{SOURCE16} %{SOURCE17} %{SOURCE18} %{SOURCE19} \
            %{SOURCE20} %{SOURCE21} %{SOURCE22} %{SOURCE23} %{SOURCE24} \
            %{SOURCE25} %{SOURCE26} %{SOURCE27} %{SOURCE28} %{SOURCE29} \
            %{SOURCE30} %{SOURCE31} %{SOURCE32} %{SOURCE33} %{SOURCE34} \
            %{SOURCE35} %{SOURCE36}
do
        %{__cp} -fv ${dict} cracklib-dicts/
done
gunzip cracklib-dicts/*

%build
export RPM_OPT_FLAGS=$(echo %{optflags} | sed -e 's/ -fstack-protector//g')
make all

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}{%{_includedir},%{_libdir},%{_sbindir}}
make install \
	ROOT=%{buildroot}
	includedir=%{_includedir} \
	libdir=%{_libdir} \
	sbindir=%{_sbindir}

%files
%defattr(-,root,root)
%doc README MANIFEST LICENCE HISTORY POSTER
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/lib*.a

%files dicts
%defattr(-,root,root)
%{_sbindir}/*
%{_libdir}/cracklib_dict*

%changelog
* Fri May 14 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (2.7-18m)
- change URI

* Thu Oct  9 2003 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.7-17m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Mon Mar 03 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.7-16m)
- change Source URI

* Sat Oct 26 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.7-15m)
- sync with redhat-8.0(cracklib-2.7-18)
- remove -fstack-protector(because of build failure...)

* Wed May 22 2002 Masaru Sato <masachan@kondara.org>
- (2.7-14k)
- Fix Makefile, install /usr/include/packer.h

* Fri Jan 18 2002 Kazuhiko <kazuhiko@kondara.org>
- (2.7-12k)
- obey fhs
- add BuildPreReq

* Wed Apr  4 2001 Shingo Akagaki <dora@Kondara.org>
- make static lib
- make devel package

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Fri Dec 10 1999 Shingo Akagaki <dora@kondara.org>
- fix spec file

* Mon Nov 8 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Tue Apr 06 1999 Preston Brown <pbrown@redhat.com>
- strip binaries

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Wed Jan 06 1999 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Sat May 09 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Mar 10 1998 Cristian Gafton <gafton@redhat.com>
- updated to 2.7
- build shared libraries

* Mon Nov 03 1997 Donnie Barnes <djb@redhat.com>
- added -fPIC

* Mon Oct 13 1997 Donnie Barnes <djb@redhat.com>
- basic spec file cleanups

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc

